# gemini_ai_app_store

An app which can be used to easily download any apps with Google Gemini AI integrated into them.

# Downloadable Apps

| Name                                                                   | Author                                              | Latest Version |
|------------------------------------------------------------------------|-----------------------------------------------------|----------------|
| [Gemini Chat App](https://pypi.org/project/gemini-chat-app/)           | [SoftwareApkDev](https://github.com/SoftwareApkDev) | 1.3            |
| [Gemini Geometry Wars](https://pypi.org/project/gemini-geometry-wars/) | [SoftwareApkDev](https://github.com/SoftwareApkDev) | 1.1            |
| [Gemini Breakout](https://pypi.org/project/gemini-breakout/)           | [SoftwareApkDev](https://github.com/SoftwareApkDev) | 1              |

# Source Code

The source code of the application **Gemini AI App Store** is found in [Source Code](https://github.com/SoftwareApkDev/gemini_ai_app_store/blob/master/main.py).

# Installation

```
pip install gemini_ai_app_store
```

# How to Use the Application?

Pre-requisites:

1. [Python](https://www.python.org/downloads/) installed in your device.
2. .env file in the same directory as <GEMINI_AI_APP_STORE_DIRECTORY> and has the value of GEMINI_API_KEY.

First, open a Terminal or Command Prompt window and run the following commands.

```
cd <GEMINI_AI_APP_STORE_DIRECTORY>
python3 main.py
```

**Note:** Replace <GEMINI_AI_APP_STORE_DIRECTORY> with the path to the directory of the application **Gemini AI App Store**.

Then, the application will start with something looking like in the screenshot below.

![App Start](images/App_Start.png)

You can now do one of the following by following the instructions shown in the command prompt.

1. Install an app.
2. Run an app you have installed.
3. Uninstall an app.

The buttons displayed in the above screenshot are self-explanatory.
